List All the Creatives

Retrieve list of creatives associated with a specific advertiser to determine the creatives that are approved for use

📘

URL: POST /api/v1/creatives/list

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiser. All creatives for this advertiser account will be returned in responseintegerYA valid advertiser ID
Filter[creativeId]returns response for specific creative IDs listed. If not specified, returns list of all creatives in the advertiser account
Note: This will accept only a single value in the list, as multiple creative IDs are not supported
arrayNValid creative ID
Filter[folderId]Folder ID to search for creatives within a folder
Note: This will accept only one folder ID, as multiple folder IDs are not supported
arrayNValid folder ID
Filter[name]returns response for specific creative names listed. If not specified, returns list of all creatives in the advertiser accountstringNValid creative name
Filter[associatedItems]Returns creatives that are associated with any of the listed itemsarray<string>NValid item IDs
Filter[lastModifiedDate]Provide a date to fetch the details of only those creatives which were created/modified on or after the date specifieddateNDate should be in format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX
Filter[status]Filters the returned creatives by their lifecycle status. Specify one or more creative status values to return only creatives in the requested statusarrayNDRAFT, PENDING_APPROVAL, APPROVED, REJECTED
startIndexYou can use this parameter to fetch specific number of creatives from a list. This indicates the starting position of the list
Note: To return the first ten creatives, set startIndex=0 and count=10
integerNValid integer value
countYou can use this parameter in combination with startIndex to fetch specific number of creatives from a list.
Note: To return the first ten creatives, set startIndex=0 and count=10
integerNValid integer value

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \
--location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data ' { "advertiserId": 123, "Filter[creativeId]": ["abcd-1234"], "Filter[folderId]": ["abcd-1234"], "Filter[name]": "Test", "Filter[status]": ["REJECTED"], "Filter[lastModifiedDate]": "2023-12-01T12:00:00Z", "Filter[associatedItems]": [“0000000”, “1111111”, “2222222"], "startIndex": 0, "count": 10
} '

Response

ElementDescriptionType
totalResultsTotal number of creatives returned for specific campaigninteger
responseSee table below for list and description of responsefields.json

response Object

FieldTypeDescriptionPossible Values / Notes
creativeIdstringID of the creativeValid creative ID
advertiserIdintegerID of the advertiserValid advertiser ID
typestringType of creativeCREATIVE
namestringName of creative
detailedStatusstringdetailedStatus provides a more granular view of where the creative is within the moderation workflow. This field is primarily applicable when status=PENDING_APPROVAL, because it explains what is happening while the creative is still under review. Supported values when status=PENDING_APPROVAL:

CREATIVE_REVIEW
NEEDS_MORE_INFORMATION
ESCALATION_REVIEW
APPEALED
NEW_INFO_PROVIDED
CREATIVE_REVIEW: The creative is currently being reviewed by the moderation team.

NEEDS_MORE_INFORMATION: The reviewer needs additional information from the advertiser/user before the review can be completed. If the reviewer provided specific instructions, they should be available in moderation comments.
statusstringstatus represents the high-level lifecycle state of the creative.
This is the primary field that should be used to determine whether a creative is approved, rejected, or still going through moderation.
DRAFT: The creative has been created or saved, but has not been submitted for moderation yet. The user can continue editing the creative. Since the creative is not yet in the moderation

PENDING_APPROVAL: The creative has been submitted for moderation and is not yet in a final approved or rejected state. When status=PENDING_APPROVAL, clients can use detailedStatus to understand the specific stage of the moderation workflow

APPROVED:The creative has completed moderation and is approved for use. This is a final moderation outcome

REJECTED:The creative has completed moderation and was rejected. This is a final moderation outcome. If the user appeals the rejected creative, the creative may move back into the moderation flow with status=PENDING_APPROVAL
linkstringLink to creativeMay not appear if produced by Walmart or cloned from a Walmart-produced creative.
creationDatedateDate when the creative was created
lastUpdatedDatedateDate when the creative was last updated
folderIdstringFolder ID associated with the creative
templateNamestringTemplate name used for the creative
eligibleBadgesarray[string]Badges the creative is eligible to display during serving (does not guarantee serving)ROLLBACK, ROLLBACKS_AND_MORE, ROLLBACK_WITH_PRICE, EXPRESS_DELIVERY, PRICE
adUnitsstringAd units supported on creative platformmarqueeDesktop, marqueeApp, marqueeTablet, skylineDesktop, skylineApp, skylineDesktopV2, skylineAppV2, skylineDesktopV3, skylineAppV3, brandboxDesktop, brandboxApp, galleryDesktop, galleryApp, tileDesktop, tileApp, checkinVideo, brandboxVideoDesktop, brandboxVideoApp, f4Video
reviewCommentsarray[object]All unresolved comments related to the creativeEach object includes:
• id (string)
• asset (integer)
• adUnit (string)
• message (string)
subscribeEnabledbooleanIndicates whether Subscribe option was enabledApplicable only after creative is submitted for moderation
associatedItemsarrayList of item IDs associated with the creativeApplicable only after creative is submitted for moderation
hpStatusstring enumEligibility to be served on the homepage.APPROVED: above and below the fold
APPROVED_BTF: below the fold only
NOT_APPROVED: not eligible for the homepage
<null>: not eligible for the homepage

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codecode returns failure in error scenariosNstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.NarrayRefer to this link for detailed error messages
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors Array Object Details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response

{ "totalResults": 1, "response": [ { "creativeId": "abcd-1234", "name": "Test Creative 1", "type": "string", "detailedStatus": "CREATIVE_REVIEW", "status": "REJECTED", "link": "string", "advertiserId": 1, "creationDate": "string", "lastUpdatedDate": "string", "folderId": "string", "templateName": "ONSITE_DISPLAY_TEMPLATE", "eligibleBadges": [ "ROLLBACK", "ROLLBACKS_AND_MORE", "ROLLBACK_WITH_PRICE", "PRICE", "EXPRESS_DELIVERY" ], "adUnits": [ "marqueeDesktop", "marqueeApp", "marqueeTablet", "skylineDesktop", "skylineApp", "skylineDesktopV2", "skylineAppV2", "skylineDesktopV3", "skylineAppV3", "brandboxDesktop", "brandboxApp", "galleryDesktop", "galleryApp", "tileDesktop", "tileApp", "f4Video" ], "reviewComments": [ { "id": "string", "asset": "cta", "adUnit": "1232x178_MarqueeDesktopGlass", "message": "test reject" }, { "id": "string", "asset": "cta", "adUnit": "all", "message": "test reject1" } ], "subscribeEnabled": "true", "associatedItems": [ "0000000", "1111111", "2222222" ], "hpStatus": "APPROVED" } ]
}

Sample Response - Failure

{ "code": "failure", "details": [ "string" ],   "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]

Did this page help you?